<ion-view cache-view="false" class="onlyPost">
    <style>.icon-left{display:none !important;}</style>
    <ion-nav-title> Publicado em {{feed.feed_view}} </ion-nav-title>
    <ion-nav-buttons side="left">
        <a href="#/tab/feeds"  class="button icon-left button-clear header-btn">
            <i class="icon-chevron-left"></i>
        </a>
    </ion-nav-buttons>
    <ion-nav-buttons side="right">
        <button ui-sref="selecionar-estado"  class="button icon-left button-clear header-btn">
            <i class="icon-map-pin"></i>
        </button>
    </ion-nav-buttons>


    <ion-content class="feed-postagens pagina-post">
        <div class="postagem">
            <ion-card>
                <ion-item class="dados-perfil">
                    <div class="row">
                        <div class="col col-20">
                            <div ng-if="feed.user_photo" class="foto-perfil" style="background-position: center;background-size: cover; background-image: url('{{photo_baseurl}}services/imageProfileReader.php?image={{feed.user_photo}}');"></div>
                            <div ng-if="!feed.user_photo" class="foto-perfil" style="background-position: center;background-size: cover; background-image: url('img/emptyavatar.jpg');"></div>
                        </div>
                        <div class="col col-80 nome-horario">
                            <span class="nome-usuario" >{{feed.user_name}}</span>
                            <span class="horario-post">{{ feed.post_date }}</span>
                        </div>
                    </div>
                </ion-item>
                <ion-card-content>
                    <div class="row  texto-post">
                        <div class="col texto">
                            <p> <swifthash id="dir" content="feed.post_text"></swifthash></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col img-post">
                            <ion-slide-box ng-if="feed.photos.length > 0 && (feed.photos[0].type == 'foto' || feed.photos[0].type =='0')">
                                <ion-slide ng-repeat="image in feed.photos" >
                                    <a data-fancybox="{{feed.post_id}}" data-caption="{{feed.post_text}}" href="{{photo_baseurl}}{{image.photoname}}">
                                        <div class="feed-images-wrapper" style="background-image: url({{photo_baseurl}}services/imageReader.php?image={{image.photoname}});"> </div>
                                    </a>
                                    <!-- <div class="feed-images-wrapper" style="background-image: url({{photo_baseurl}}{{image.photoname}});"> </div>
                                    <a class="feed-images-wrapper" data-fancybox="gallery1" data-caption="" href="assets/img/manutencao-carrinhos-supermercado-7.png"><img src="assets/img/manutencao-carrinhos-supermercado-7.png" alt="Oniix - Especialistas Em Manutenção De Carrinhos De Supermercado" title="Oniix - Especialistas Em Manutenção De Carrinhos De Supermercado" class="img-responsive"></a>  -->
                                </ion-slide>
                            </ion-slide-box>
                            <div ng-if="feed.photos.length > 0 && feed.photos[0].type == 'video'">
                                <video width="100%" controls controlsList="nodownload" poster="{{feed.photos[0].cover}}" preload="none">
                                    <source ng-src="{{feed.photos[0].urlWebm | trusted}}" type="video/webm">
                                    <source ng-src="{{feed.photos[0].url | trusted}}" type="video/mp4">
                                </video>
                            </div>
                            <div ng-if="feed.photos[0].type =='youtube'" class="videoYoutubeWrapper">
                                <iframe width="100%" height="100%" ng-src="{{trustSrc(feed.photos[0].photoname)}}" frameborder="0" allowfullscreen>></iframe>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col curtidas-comentarios">
                            <div class="curtidas">
                                <span>{{ 'FEED_LIKES' | translate:{ LIKES: feed.post_likescount } }}</span>
                            </div>
                            <div class="comentarios">
                                <span><a href="javascript:void(0);">{{ 'FEED_COMMENTS' | translate:{ COMMENTS: feed.post_commentscount } }}</a></span>
                            </div>
                        </div>
                    </div>
                </ion-card-content>
                <div class="row botoes-postagem">
                    <div class="col col-50 curtir" ng-click="likeFeedPost(feed)">
                        <a ng-class="{'liked': feed.selflike}"  href="javascript:void(0);" class="subdued">
                            <i class="icon-thumbs-up" ng-class="{'liked': feed.selflike}"></i>
                            <span ng-class="{'liked': feed.selflike}">{{ feed.selflike ? 'Curtiu' : 'Curtir' }}</span>
                        </a>
                    </div>
                    <div class="col col-50 comentar" ng-click="commentFocus();">
                        <a href="javascript:void(0);"  class="subdued">
                            <i class="icon-comment-square"></i>
                            <span>Comentar</span>
                        </a>
                    </div>
                </div>
            </ion-card>

        </div>

        <div class="list product edit create comments">
            <h3>Comentários</h3>
            <ion-list>
                <ion-item class="item-remove-animate item-avatar item-icon-right list-item" ng-repeat="comment in feed.comments" type="item-text-wrap">
                    <div class="row">
                        <div class="col col-20 profile-picture">
                            <div ng-if="comment.profile_pic" style="background-position: center;background-size: cover; background-image: url('{{photo_baseurl}}services/imageProfileReader.php?image={{comment.profile_pic}}');"></div>
                            <div ng-if="!comment.profile_pic" style="background-position: center;background-size: cover; background-image: url('img/emptyavatar.jpg');"></div>
                        </div>
                        <div class="col col-80">
                            <h2>{{comment.user_name}}</h2>
                            <span>{{comment.comment_date}}</span>
                            <p>{{comment.comment_text}}</p>
                        </div>
                    </div>
                </ion-item>
                <ion-item class="item-remove-animate item-avatar item-icon-right list-item" ng-show="!feed.comments.length" type="item-text-wrap">
                    <div class="row">
                        <div class="col">
                            <p>Não há comentários para essa publicação, que tal ser o primeiro? :)</p>
                        </div>
                    </div>
                </ion-item>

            </ion-list>
        </div>
    </ion-content>
    <div class="addComment">
        <form name="" novalidate ng-submit="addComment(comment_text);comment_text='';">
            <div class="row">
                <div class="col col-80">
                    <textarea name="comment" id="comment" ng-model="comment_text" required placeholder="O que você gostaria de comentar?"></textarea>
                </div>
                <div class="col col-20">
                    <button  type="submit"><i ng-class="{'hasText': comment_text.length > 0}" class="ion-android-send"></i></button>
                </div>
            </div>
        </form>
    </div>
    
    <div ng-if="!feed">
        <img src="img/icon-aguardando-aprovacao.png" alt="">
    </div>
</ion-view>
